diff options
| author | Joel Challis <git@zvecr.com> | 2023-01-02 22:26:26 +0000 |
|---|---|---|
| committer | GitHub <noreply@github.com> | 2023-01-02 22:26:26 +0000 |
| commit | 20ee10339911d23139ab4c04c56229ed96595d98 (patch) | |
| tree | 180120b90185102ed4f861aeadc1b67661b95d58 | |
| parent | b497d58d6d0ca5a0d1432272147fe06e0ebfb802 (diff) | |
Remove cmp checks from Makefile (#19480)
| -rw-r--r-- | Makefile | 2 | ||||
| -rw-r--r-- | builddefs/message.mk | 3 |
2 files changed, 1 insertions, 4 deletions
| @@ -395,8 +395,6 @@ endef | |||
| 395 | # Catch everything and parse the command line ourselves. | 395 | # Catch everything and parse the command line ourselves. |
| 396 | .PHONY: % | 396 | .PHONY: % |
| 397 | %: | 397 | %: |
| 398 | # Check if we have the CMP tool installed | ||
| 399 | cmp $(ROOT_DIR)/Makefile $(ROOT_DIR)/Makefile >/dev/null 2>&1; if [ $$? -gt 0 ]; then printf "$(MSG_NO_CMP)"; exit 1; fi; | ||
| 400 | # Ensure that $(QMK_BIN) works. | 398 | # Ensure that $(QMK_BIN) works. |
| 401 | if ! $(QMK_BIN) hello 1> /dev/null 2>&1; then printf "$(MSG_PYTHON_MISSING)"; exit 1; fi | 399 | if ! $(QMK_BIN) hello 1> /dev/null 2>&1; then printf "$(MSG_PYTHON_MISSING)"; exit 1; fi |
| 402 | ifdef NOT_REPO | 400 | ifdef NOT_REPO |
diff --git a/builddefs/message.mk b/builddefs/message.mk index 34a5e7da91..bf39554dab 100644 --- a/builddefs/message.mk +++ b/builddefs/message.mk | |||
| @@ -68,7 +68,6 @@ MSG_NOT_REPO = $(WARN_COLOR)WARNING:$(NO_COLOR) Target folder is not a git repo, | |||
| 68 | Please consider following $(BOLD)https://docs.qmk.fm/\#/newbs_getting_started$(NO_COLOR).\n\n | 68 | Please consider following $(BOLD)https://docs.qmk.fm/\#/newbs_getting_started$(NO_COLOR).\n\n |
| 69 | MSG_SUBMODULE_DIRTY = $(WARN_COLOR)WARNING:$(NO_COLOR) Some git submodules are out of date or modified.\n\ | 69 | MSG_SUBMODULE_DIRTY = $(WARN_COLOR)WARNING:$(NO_COLOR) Some git submodules are out of date or modified.\n\ |
| 70 | Please consider running $(BOLD)qmk git-submodule$(NO_COLOR).\n\n | 70 | Please consider running $(BOLD)qmk git-submodule$(NO_COLOR).\n\n |
| 71 | MSG_NO_CMP = $(ERROR_COLOR)Error:$(NO_COLOR)$(BOLD) cmp command not found, please install diffutils\n$(NO_COLOR) | ||
| 72 | 71 | ||
| 73 | define GENERATE_MSG_MAKE_KB | 72 | define GENERATE_MSG_MAKE_KB |
| 74 | MSG_MAKE_KB_ACTUAL := Making $$(KB_SP) with keymap $(BOLD)$$(CURRENT_KM)$(NO_COLOR) | 73 | MSG_MAKE_KB_ACTUAL := Making $$(KB_SP) with keymap $(BOLD)$$(CURRENT_KM)$(NO_COLOR) |
| @@ -108,4 +107,4 @@ MSG_BOOTLOADER_NOT_FOUND_QUICK_RETRY = $(MSG_BOOTLOADER_NOT_FOUND_BASE) Trying a | |||
| 108 | define CATASTROPHIC_ERROR | 107 | define CATASTROPHIC_ERROR |
| 109 | $(shell printf "\n * %-99s $(ERROR_STRING)\n" "$2" >&2) | 108 | $(shell printf "\n * %-99s $(ERROR_STRING)\n" "$2" >&2) |
| 110 | $(error $1) | 109 | $(error $1) |
| 111 | endef \ No newline at end of file | 110 | endef |
